/* ***********************************************************************
**
**	lcd.h
**
**  Copyright (C) 2005  Christian Kranz
**
**  Siemens S65 Display Control
**
**	Minor changes for a digital picture frame by M.Bode 2007
**
*********************************************************************** */


#ifndef _LCD_H
#define _LCD_H
#include <avr/io.h>
#include <avr/pgmspace.h>

#ifndef XTAL
#define XTAL                        16000000                // must be changed
#endif

#define DELAY_ONE_MILLISECOND       (XTAL / 4 / 1000)       // must > 8


#define LCD_PORT	PORTD
#define LCD_DIR		DDRD

#define LCD_CS	   	2
#define LCD_RESET  	1
#define LCD_RS	   	0
#define LCD_DAT	   	3
#define LCD_CLK    	5


#ifndef LCD_ASM

 void mswait(uint16_t ms);

 void lcd_init(void);			// LCD initialise
 void lcd_clrscr(void);		// LCD power down

 void lcd_wrdata(char data);
 void lcd_wrcmd(char data);

void port_init_io(void);
void wrtab(PGM_P data, char len);

#endif

#endif // ifndef LCD_H

