/* ***********************************************************************
**
**  main.c
**
**	Matthias Bode	2007
**
**	simple digital picture frame
**
**	The program reads 176x132 24B/pix .BMP files from a SD-Card
**	and show them on a Siemens S65 Display (only the LS020 series)
**
**	This is a stripped version, to fit into an AT-Mega8 (8k Flash)
**	The program ware previously developed on an AT-Mega168 (due to better
**	debug-support) and includes more features.
**
**	The code is based on some other projects of the Mikrocontroller.net
**
**	All SD-Card Code came from:
**
**	Nick Lott and his Butterfly MP3 player
**	Copyright (C) 2004 Nick Lott <brokentoaster@sf.net>
**	http://butterflymp3.sf.net/
**
**	The routines for the S65 came from:
**
**	Christian Kranz and his "simple" sample for the LS020 
**	Copyright (C) 2005  Christian Kranz
**	Siemens S65 Display Control
**
**	Includes Code for debouncing of the keyboard, written by Peter Danneger:
**	(not this 8k stripped version)
**
**	Debouncing 8 Keys
**	Sampling 4 Times
**	Author: Peter Dannegger
**	danni@specs.de
**
**	This program is free software; you can redistribute it and/or
**	modify it under the terms of the GNU General Public License
**	as published by the Free Software Foundation; either version 2
**	of the License, or (at your option) any later version.
**
**	This program is distributed in the hope that it will be useful,
**	but WITHOUT ANY WARRANTY; without even the implied warranty of
**	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**	GNU General Public License for more details.
**
**	You should have received a copy of the GNU General Public License
**	along with this program; if not, write to the Free Software Foundation, 
**	Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
**
*********************************************************************** */

#ifndef MAIN_H
#define MAIN_H

#define USE_MMC_CACHE


// State Machine
#define	STATE_INIT 		0
#define	STATE_WELCOME 	1
#define STATE_INIT_FAT	2
#define STATE_FIND_FILE 3
#define STATE_CUE_FILE 	4
#define STATE_STREAMING 5
#define STATE_ERROR 	6
#define STATE_SETUP		7

#define SETUP_STATE_START		0
#define SETUP_STATE_TIME		1
#define SETUP_STATE_TEXT		2
#define SETUP_STATE_BACKCOLOR	3
#define SETUP_STATE_TEXTCOLOR	4
#define SETUP_STATE_FINISH		5

// Messages
#define WELCOME_START	0
#define WELCOME_END		4
#define ERROR_CARD		WELCOME_END + 1
#define ERROR_MBR		ERROR_CARD + 1
#define ERROR_FILE		ERROR_MBR + 1
#define ERROR_UNKNOWN	ERROR_FILE + 1


#define DDR(x) ((x)-1)    /* address of data direction register of port x */
#define PIN(x) ((x)-2)    /* address of input register of port x */


#endif
